Bug 489712 - RA and TPS need perl-XML-Simple as a prereq
RA and TPS need perl-XML-Simple as a prereq
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: RA (Show other bugs)
unspecified
All Linux
urgent Severity high
: ---
: ---
Assigned To: Ade Lee
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-03-11 10:57 EDT by Ade Lee
Modified: 2015-01-04 18:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:33:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ade Lee 2009-03-11 10:57:52 EDT
Description of problem:
RA and TPS need perl-XML-Simple as a prereq.  This prereq used to be in pki-silent , but was removed because it was not in use there.  It is still needed in the RA and TPS install scripts.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ade Lee 2009-03-11 11:32:33 EDT
Index: dogtag/ra/pki-ra.spec
===================================================================
--- dogtag/ra/pki-ra.spec       (revision 293)
+++ dogtag/ra/pki-ra.spec       (working copy)
@@ -34,7 +34,7 @@
 ## Package Header Definitions
 %define base_name         %{base_prefix}-%{base_component}
 %define base_version      1.0.0
-%define base_release      23
+%define base_release      24
 %define base_group        System Environment/Daemons
 %define base_vendor       Red Hat, Inc.
 %define base_license      GPLv2 with exceptions
@@ -128,7 +128,7 @@
 BuildRequires:  ant >= 1.6.2, %{base_flavor}-%{base_name}-ui >= 1.0.0
 
 ## Without Requires something, rpmbuild will abort!
-Requires:       %{base_name}-ui, %{base_prefix}-setup >= 1.0.0, mod_nss >= 1.0.7, mod_perl >= 1.99_16, mozldap >= 6.0.2, perl-DBD-SQLite >= 1.11, perl-DBI >= 1.52, perl-HTML-Parser >= 3.35, perl-HTML-Tagset >= 3.03, perl-Parse-RecDescent >= 1.94, perl-URI >= 1.30, perl-XML-NamespaceSupport >= 1.08, perl-XML-Parser >= 2.34, perl-XML-SAX >= 0.12, sendmail >= 8.13.1, sqlite >= 3.3.3, %{base_prefix}-selinux >= 1.0.0
+Requires:       %{base_name}-ui, %{base_prefix}-setup >= 1.0.0, mod_nss >= 1.0.7, mod_perl >= 1.99_16, mozldap >= 6.0.2, perl-DBD-SQLite >= 1.11, perl-DBI >= 1.52, perl-HTML-Parser >= 3.35, perl-HTML-Tagset >= 3.03, perl-Parse-RecDescent >= 1.94, perl-URI >= 1.30, perl-XML-NamespaceSupport >= 1.08, perl-XML-Parser >= 2.34, perl-XML-SAX >= 0.12, sendmail >= 8.13.1, sqlite >= 3.3.3, %{base_prefix}-selinux >= 1.0.0, perl-XML-Simple
 
 
 ## This package is non-relocatable!
@@ -266,6 +266,8 @@
 ###############################################################################
 
 %changelog
+* Wed Mar 11 2009 Ade Lee <alee@redhat.com> 1.0.0-24
+  Bugzilla Bug #489712 RA and TPS need perl-XML-Simple as prereq
 * Tue Mar 10 2009 Matthew Harmsen <mharmsen@redhat.com> 1.0.0-23
 - Bugzilla Bug #440350 -  Removed use of "rhgb-console" from "httpd"
 * Fri Mar 6 2009 Matthew Harmsen <mharmsen@redhat.com> 1.0.0-22
Index: dogtag/tps/pki-tps.spec
===================================================================
--- dogtag/tps/pki-tps.spec     (revision 293)
+++ dogtag/tps/pki-tps.spec     (working copy)
@@ -34,7 +34,7 @@
 ## Package Header Definitions
 %define base_name         %{base_prefix}-%{base_component}
 %define base_version      1.0.0
-%define base_release      34
+%define base_release      35
 %define base_group        System Environment/Daemons
 %define base_vendor       Red Hat, Inc.
 %define base_license      LGPLv2 with exceptions
@@ -150,7 +150,7 @@
 BuildRequires:  apr-devel >= 0.9.4, apr-util-devel >= 0.9.4, %{base_flavor}-%{base_name}-ui >= 1.0.0, bash >= 3.0, cyrus-sasl-devel >= 2.1.19, httpd-devel >= 2.0.52, mozldap-devel >= 6.0.2, nspr-devel >= 4.6.99, nss-devel >= 3.12.0, pcre-devel >= 6.6, svrcore-devel >= 4.0.3.01, zlib >= 1.2.3, zlib-devel >= 1.2.3
 
 ## Without Requires something, rpmbuild will abort!
-Requires:       %{base_prefix}-setup >= 1.0.0, %{base_name}-ui, mod_nss >= 1.0.7, mod_perl >= 1.99_16, mozldap >= 6.0.2, perl-HTML-Parser >= 3.35, perl-HTML-Tagset >= 3.03, perl-Parse-RecDescent >= 1.94, perl-URI >= 1.30, perl-XML-NamespaceSupport >= 1.08, perl-XML-Parser >= 2.34, perl-XML-SAX >= 0.12, %{base_prefix}-selinux >= 1.0.0
+Requires:       %{base_prefix}-setup >= 1.0.0, %{base_name}-ui, mod_nss >= 1.0.7, mod_perl >= 1.99_16, mozldap >= 6.0.2, perl-HTML-Parser >= 3.35, perl-HTML-Tagset >= 3.03, perl-Parse-RecDescent >= 1.94, perl-URI >= 1.30, perl-XML-NamespaceSupport >= 1.08, perl-XML-Parser >= 2.34, perl-XML-SAX >= 0.12, %{base_prefix}-selinux >= 1.0.0, perl-XML-Simple
 
 
 ## This package is non-relocatable!
@@ -312,6 +312,8 @@
 ###############################################################################
 
 %changelog
+* Wed Mar 11 2009 Ade Lee <alee@redhat.com> 1.0.0-35
+  Bugzilla Bug #489712 RA and TPS need perl-XML-Simple as prereq
 * Tue Mar 10 2009 Matthew Harmsen <mharmsen@redhat.com> 1.0.0-34
 - Bugzilla Bug #440350 -  Removed use of "rhgb-console" from "httpd"
 * Fri Mar 6 2009 Matthew Harmsen <mharmsen@redhat.com> 1.0.0-33
Comment 3 Ade Lee 2009-03-11 11:33:53 EDT
mharmsen, please review.
Comment 4 Matthew Harmsen 2009-03-11 13:30:33 EDT
Comment #1 +mharmsen
Comment 6 Ade Lee 2009-03-11 13:33:17 EDT
[builder@oliver pki]$ svn ci -m "Bugzilla Bug# 489712: tps and ra need perl-xml-simple" dogtag
Sending        dogtag/ra/pki-ra.spec
Sending        dogtag/tps/pki-tps.spec
Transmitting file data .^        
Committed revision 294.
Comment 8 Jenny Galipeau 2009-06-04 14:07:02 EDT
Verified:

Resolving Dependencies
--> Running transaction check
---> Package pki-ra.noarch 0:8.0.0-18.beta set to be updated
--> Processing Dependency: perl-XML-Simple for package: pki-ra
--> Running transaction check
---> Package perl-XML-Simple.noarch 0:2.14-4.fc6 set to be updated
--> Finished Dependency Resolution

Resolving Dependencies
--> Running transaction check
---> Package pki-tps.x86_64 0:8.0.0-20.beta set to be updated
--> Processing Dependency: perl-XML-Simple for package: pki-tps
--> Running transaction check
---> Package perl-XML-Simple.noarch 0:2.14-4.fc6 set to be updated
--> Finished Dependency Resolution

Note You need to log in before you can comment on or make changes to this bug.